# Gimp.gimprc_query

    function gimprc_query(token: String): String {
        // Gjs wrapper for gimp_gimprc_query()
    }

Queries the gimprc file parser for information on a specified token.

This procedure is used to locate additional information contained in the gimprc file considered extraneous to the operation of GIMP. Plug-ins that need configuration information can expect it will be stored in the user gimprc file and can use this procedure to retrieve it. This query procedure will return the value associated with the specified token. This corresponds _only_ to entries with the format: (&lt;token&gt; &lt;value&gt;). The value must be a string. Entries not corresponding to this format will cause warnings to be issued on gimprc parsing and will not be queryable.

token

  The token to query for.

Returns

  The value associated with the queried token. The returned value must be freed with g_free().